commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steve Cohen <sco...@javactivity.org>
Subject Re: [net] "class file has wrong version 48.0, should be 47.0"
Date Tue, 08 Nov 2005 12:50:41 GMT
Simon Kitching wrote:
> On Mon, 2005-11-07 at 06:03 -0800, fiji kalathil wrote:
> 
>>Hi, 
>> 
>>i am using commons-net-1.4.0.jar in my proj 
>> 
>>i am getting the followinf compilation error
>> 
>>src/com/covad/ccbi/operations/InfBillingOps.java:5347: cannot access org.apache.commons.net.ftp.FTPClient
>>    [javac] bad class file: /home/fkp/DECEMBER-2005-dev/ccbi/lib/jakarta/commons-net-1.4.0.jar(org/apache/commons/net/ftp/FTPClient.class)
>>    [javac] class file has wrong version 48.0, should be 47.0
>>    [javac] Please remove or make sure it appears in the correct subdirectory of the
classpath.
>>    [javac]             FTPClient ftp = new FTPClient();
>> 
>>
> 
> 
> Looks like the 1.4.0 release of commons-net was compiled using (or
> targeting) java 1.4 but you're using java 1.3. 
> 
> I suggest you check the release documentation to see whether the project
> explicitly requires java 1.4. If not, it might be a mistake; it's
> happened from time to time. You could always try downloading the source
> and recompiling with java 1.3; most jakarta projects can be built pretty
> easily.
> 
> BTW, when posting to this list please put the project name in the
> subject, eg "[net] class file has wrong version".
> 
> Regards,
> 
> Simon
> 
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
> For additional commands, e-mail: commons-dev-help@jakarta.apache.org
> 
> 
> 
You are correct, Simon.  There WAS a bug reported in 1.4.0 around this. 
   commons-net is NOT targeted at 1.4 and this somehow slipped through. 
  We have not done a release and maybe we should for this.

However, I'm not entirely sure how you are inferring that the problem 
here is 1.3 vs. 1.4.  You may know something I don't.  I'm not sure 
where the version 48.0 vs 47.0 is coming from.  I've never seen that before.

This user could try getting the nightly build and see if that fixes his 
problem.

---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message